Package org.opengis.cite.iso19142

# Class Namespaces

java.lang.Object
org.opengis.cite.iso19142.Namespaces

public class Namespaces extends Object
XML namespace names.

See Also:
  - Namespaces in XML 1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FES`
  ISO 19143:2010 (FES 2.0)
  `static final String`
  `GML`
  ISO 19136:2007 (GML 3.2)
  `static final String`
  `OWS`
  OGC 06-121r3 (OWS 1.1)
  `static final URI`
  `SCH`
  Schematron (ISO 19757-3) namespace
  `static final String`
  `SOAP_ENV`
  SOAP 1.2 message envelopes.
  `static final String`
  `SOAP11`
  Legacy SOAP 1.1 message envelopes.
  `static final String`
  `WFS`
  ISO 19142:2010 (WFS 2.0)
  `static final String`
  `XLINK`
  W3C XLink
  `static final URI`
  `XSD`
  W3C XML Schema namespace
  `static final String`
  `XSI`
  XML Schema instance namespace

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SOAP11

    public static final String SOAP11
    Legacy SOAP 1.1 message envelopes.
    See Also:
      - Constant Field Values

  - ### SOAP_ENV

    public static final String SOAP_ENV
    SOAP 1.2 message envelopes.
    See Also:
      - Constant Field Values

  - ### XLINK

    public static final String XLINK
    W3C XLink
    See Also:
      - Constant Field Values

  - ### XSI

    public static final String XSI
    XML Schema instance namespace
    See Also:
      - Constant Field Values

  - ### OWS

    public static final String OWS
    OGC 06-121r3 (OWS 1.1)
    See Also:
      - Constant Field Values

  - ### GML

    public static final String GML
    ISO 19136:2007 (GML 3.2)
    See Also:
      - Constant Field Values

  - ### WFS

    public static final String WFS
    ISO 19142:2010 (WFS 2.0)
    See Also:
      - Constant Field Values

  - ### FES

    public static final String FES
    ISO 19143:2010 (FES 2.0)
    See Also:
      - Constant Field Values

  - ### XSD

    public static final URI XSD
    W3C XML Schema namespace

  - ### SCH

    public static final URI SCH
    Schematron (ISO 19757-3) namespace